Package org.bgerp.app.servlet.util

# Class AccessLogValve

java.lang.Object
org.apache.catalina.util.LifecycleBase
org.apache.catalina.util.LifecycleMBeanBase
org.apache.catalina.valves.ValveBase
org.apache.catalina.valves.AbstractAccessLogValve
org.apache.catalina.valves.AccessLogValve
org.bgerp.app.servlet.util.AccessLogValve

All Implemented Interfaces:
  `MBeanRegistration`, `org.apache.catalina.AccessLog`, `org.apache.catalina.Contained`, `org.apache.catalina.JmxEnabled`, `org.apache.catalina.Lifecycle`, `org.apache.catalina.Valve`

public class AccessLogValve extends org.apache.catalina.valves.AccessLogValve

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.catalina.valves.AbstractAccessLogValve

  `org.apache.catalina.valves.AbstractAccessLogValve.AccessLogElement, org.apache.catalina.valves.AbstractAccessLogValve.ByteSentElement, org.apache.catalina.valves.AbstractAccessLogValve.CachedElement, org.apache.catalina.valves.AbstractAccessLogValve.ConnectionStatusElement, org.apache.catalina.valves.AbstractAccessLogValve.CookieElement, org.apache.catalina.valves.AbstractAccessLogValve.DateAndTimeElement, org.apache.catalina.valves.AbstractAccessLogValve.DateFormatCache, org.apache.catalina.valves.AbstractAccessLogValve.ElapsedTimeElement, org.apache.catalina.valves.AbstractAccessLogValve.FirstByteTimeElement, org.apache.catalina.valves.AbstractAccessLogValve.HeaderElement, org.apache.catalina.valves.AbstractAccessLogValve.HostElement, org.apache.catalina.valves.AbstractAccessLogValve.HttpStatusCodeElement, org.apache.catalina.valves.AbstractAccessLogValve.LocalAddrElement, org.apache.catalina.valves.AbstractAccessLogValve.LocalServerNameElement, org.apache.catalina.valves.AbstractAccessLogValve.LogicalUserNameElement, org.apache.catalina.valves.AbstractAccessLogValve.MethodElement, org.apache.catalina.valves.AbstractAccessLogValve.PortElement, org.apache.catalina.valves.AbstractAccessLogValve.ProtocolElement, org.apache.catalina.valves.AbstractAccessLogValve.QueryElement, org.apache.catalina.valves.AbstractAccessLogValve.RemoteAddrElement, org.apache.catalina.valves.AbstractAccessLogValve.RequestAttributeElement, org.apache.catalina.valves.AbstractAccessLogValve.RequestElement, org.apache.catalina.valves.AbstractAccessLogValve.RequestURIElement, org.apache.catalina.valves.AbstractAccessLogValve.ResponseHeaderElement, org.apache.catalina.valves.AbstractAccessLogValve.SessionAttributeElement, org.apache.catalina.valves.AbstractAccessLogValve.SessionIdElement, org.apache.catalina.valves.AbstractAccessLogValve.StringElement, org.apache.catalina.valves.AbstractAccessLogValve.ThreadNameElement, org.apache.catalina.valves.AbstractAccessLogValve.UserElement`

  ## Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

  `org.apache.catalina.Lifecycle.SingleUse`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DIR`
  `static final String`
  `PARAM_HEADER_NAME_REMOTE_ADDR`

  ### Fields inherited from class org.apache.catalina.valves.AccessLogValve

  `currentLogFile, encoding, fileDateFormat, fileDateFormatter, prefix, renameOnRotate, rotatable, suffix, writer`

  ### Fields inherited from class org.apache.catalina.valves.AbstractAccessLogValve

  `cachedElements, condition, conditionIf, enabled, locale, localeName, logElements, pattern, requestAttributesEnabled`

  ### Fields inherited from class org.apache.catalina.valves.ValveBase

  `asyncSupported, container, containerLog, next, sm`

  ### Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase

  `mserver`

  ### Fields inherited from interface org.apache.catalina.AccessLog

  `PROTOCOL_ATTRIBUTE, REMOTE_ADDR_ATTRIBUTE, REMOTE_HOST_ATTRIBUTE, SERVER_NAME_ATTRIBUTE, SERVER_PORT_ATTRIBUTE`

  ### Fields inherited from interface org.apache.catalina.Lifecycle

  `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessLogValve()`
  %a - Remote IP address %A - Local IP address %b - Bytes sent, excluding HTTP headers, or '-' if zero %B - Bytes sent, excluding HTTP headers %h - Remote host name (or IP address if resolveHosts is false) %H - Request protocol %l - Remote logical username from identd (always returns '-') %m - Request method (GET, POST, etc.) %p - Local port on which this request was received %q - Query string (prepended with a '?' if it exists) %r - First line of the request (method and request URI) %s - HTTP status code of the response %S - User session ID %t - Date and time, in Common Log Format %u - Remote user that was authenticated (if any), else '-' %U - Requested URL path %v - Local server name %D - Time taken to process the request, in millis %T - Time taken to process the request, in seconds %I - current request thread name (can compare later with stacktraces)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.catalina.valves.AbstractAccessLogValve.AccessLogElement[]`
  `createLogElements()`

  ### Methods inherited from class org.apache.catalina.valves.AccessLogValve

  `backgroundProcess, getDirectory, getEncoding, getFileDateFormat, getMaxDays, getPrefix, getSuffix, isBuffered, isCheckExists, isRenameOnRotate, isRotatable, log, open, rotate, rotate, setBuffered, setCheckExists, setDirectory, setEncoding, setFileDateFormat, setMaxDays, setPrefix, setRenameOnRotate, setRotatable, setSuffix, startInternal, stopInternal`

  ### Methods inherited from class org.apache.catalina.valves.AbstractAccessLogValve

  `createAccessLogElement, createAccessLogElement, escapeAndAppend, findLocale, getCondition, getConditionIf, getConditionUnless, getEnabled, getIpv6Canonical, getLocale, getMaxLogMessageBufferSize, getPattern, getRequestAttributesEnabled, invoke, log, setCondition, setConditionIf, setConditionUnless, setEnabled, setIpv6Canonical, setLocale, setMaxLogMessageBufferSize, setPattern, setRequestAttributesEnabled`

  ### Methods inherited from class org.apache.catalina.valves.ValveBase

  `getContainer, getDomainInternal, getNext, getObjectNameKeyProperties, initInternal, isAsyncSupported, setAsyncSupported, setContainer, setNext, toString`

  ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

  `destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister, unregister`

  ### Methods inherited from class org.apache.catalina.util.LifecycleBase

  `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PARAM_HEADER_NAME_REMOTE_ADDR

    public static final String PARAM_HEADER_NAME_REMOTE_ADDR
    See Also:
      - Constant Field Values

  - ### DIR

    public static final String DIR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccessLogValve

    public AccessLogValve()
    %a - Remote IP address %A - Local IP address %b - Bytes sent, excluding HTTP headers, or '-' if zero %B - Bytes sent, excluding HTTP headers %h - Remote host name (or IP address if resolveHosts is false) %H - Request protocol %l - Remote logical username from identd (always returns '-') %m - Request method (GET, POST, etc.) %p - Local port on which this request was received %q - Query string (prepended with a '?' if it exists) %r - First line of the request (method and request URI) %s - HTTP status code of the response %S - User session ID %t - Date and time, in Common Log Format %u - Remote user that was authenticated (if any), else '-' %U - Requested URL path %v - Local server name %D - Time taken to process the request, in millis %T - Time taken to process the request, in seconds %I - current request thread name (can compare later with stacktraces)

- ## Method Details

  - ### createLogElements

    protected org.apache.catalina.valves.AbstractAccessLogValve.AccessLogElement[] createLogElements()
    Overrides:
      `createLogElements` in class `org.apache.catalina.valves.AbstractAccessLogValve`